DROP PROCEDURE TMP_OP_CCSALESPERSONDETUpdProc
GO
CREATE PROCEDURE TMP_OP_CCSALESPERSONDETUpdProc
(   @CORRNBR	    INT,
    @SITEID	    UD_IDSITE,
    @DATEPROCE      UD_FECHA,
    @SALESPERID     UD_SALESPERSONID,
    @CCSALESPERSONTYPEID	CHAR(2),
    @TOTALPEN       UD_MONTO,
    @TOTALUSD       UD_MONTO,
    @OBS	    VARCHAR(100)
)
AS
BEGIN
    BEGIN TRAN

    UPDATE 	TMP_OP_CCSALESPERSONDET
    SET 	TOTALPEN=@TOTALPEN,
		TOTALUSD=@TOTALUSD,
		OBS=@OBS
    WHERE 	CORRNBR=@CORRNBR AND SITEID=@SITEID AND DATEPROCE=@DATEPROCE AND SALESPERID=@SALESPERID AND
		CCSALESPERSONTYPEID=@CCSALESPERSONTYPEID

    IF (@@error!=0 or @@rowcount=0)
    BEGIN
        ROLLBACK TRAN
	RAISERROR 20000 'Error Actualizando en TMP_OP_CCSALESPERSONDET'
        RETURN(1)
    
    END

    COMMIT TRAN

END
